<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.projects.dialog.title.edit-project-automation-job'
  "
  [dialogId]="'edit-project-automation-job'"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div class="m-10" [formGroup]="formGroup">
        <div class="sqtm-core-dialog-form p-4">
          <label class="label">{{
            'sqtm-core.generic.label.label' | translate
          }}</label>
          <sqtm-core-text-field
            [formGroup]="formGroup"
            [fieldName]="'label'"
            [serverSideFieldValidationError]="serverSideValidationErrors"
          >
          </sqtm-core-text-field>

          <label class="label">{{
            'sqtm-core.administration-workspace.views.project.automation.jobs.can-run-bdd'
              | translate
          }}</label>
          <label
            nz-checkbox
            style="margin: 5px 5px 0 0"
            [formGroup]="formGroup"
            [formControlName]="'canRunBdd'"
          >
          </label>
        </div>
        <div class="execution-environment-display p-4">
          <label class="label">{{
            'sqtm-core.administration-workspace.views.project.automation.jobs.execution-environment'
              | translate
          }}</label>
          <sqtm-core-text-field
            [formGroup]="formGroup"
            [fieldName]="'executionEnvironment'"
            [serverSideFieldValidationError]="serverSideValidationErrors"
          >
          </sqtm-core-text-field>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
